Remove a Passkey Credential
Removes a registered passkey credential from an Identity Record. The credential can no longer be used for passkey assertion after removal.
If no credentials remain on the record after removal, passkey-based re-identification is no longer available for this Identity Record. Magic-link re-identification remains available if an email address is registered.
curl --request DELETE \
--url https://api.central.consent/v1/identity-records/{ir}/credentials/{credentialId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.central.consent/v1/identity-records/{ir}/credentials/{credentialId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.central.consent/v1/identity-records/{ir}/credentials/{credentialId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": {
"resource": "/v1/access-records/ak_691df0c788ca043403b7fa90",
"timestamp": "2026-03-11T12:00:00Z",
"transaction-id": "tid_691df0c788ca043403b7fa90"
},
"errors": [
{
"error-code": "VAL001",
"message": "Field 'mpxn' does not match the required pattern."
}
]
}{
"response": {
"resource": "/v1/access-records/ak_691df0c788ca043403b7fa90",
"timestamp": "2026-03-11T12:00:00Z",
"transaction-id": "tid_691df0c788ca043403b7fa90"
},
"errors": [
{
"error-code": "VAL001",
"message": "Field 'mpxn' does not match the required pattern."
}
]
}{
"response": {
"resource": "/v1/access-records/ak_691df0c788ca043403b7fa90",
"timestamp": "2026-03-11T12:00:00Z",
"transaction-id": "tid_691df0c788ca043403b7fa90"
},
"errors": [
{
"error-code": "VAL001",
"message": "Field 'mpxn' does not match the required pattern."
}
]
}{
"response": {
"resource": "/v1/access-records/ak_691df0c788ca043403b7fa90",
"timestamp": "2026-03-11T12:00:00Z",
"transaction-id": "tid_691df0c788ca043403b7fa90"
},
"errors": [
{
"error-code": "VAL001",
"message": "Field 'mpxn' does not match the required pattern."
}
]
}Authorizations
JWT from GET /auth/token. Pass as Authorization: Bearer <token>. Expires after 7200s.
Path Parameters
Unique opaque identifier for an Identity Record, issued by the register on creation. Referenced from record-metadata.identity-record-ref on an AccessRecord to link the two resources.
^ir_[0-9a-f]{24}$"ir_a3c5e7f9b1d3a3c5e7f9b1d3"
Unique identifier for a registered passkey credential.
^cred_[0-9a-f]{24}$"cred_1a2b3c4d5e6f1a2b3c4d5e6f"
Response
Credential removed. No response body.

